﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UMK.WzorceStrukturalne;

namespace Dekorator
{
    static class Menu
    {
        public static INapój HerbataZimowa(int liczbaŁyżekCukru = 2, bool czyCynamon = true)
        {
            INapój herbataZimowa = new Herbata();
            herbataZimowa = new NapójZCukrem(herbataZimowa, liczbaŁyżekCukru);
            if(czyCynamon) herbataZimowa = new NapójZeSzczyptąCynamonu(herbataZimowa);
            herbataZimowa = new NapójZPlastremCytryny(herbataZimowa);
            return herbataZimowa;
        }
    }
}
